Skip to main content
POST
/
api
/
contract
curl -X POST 'https://api.sendforsign.com/api/contract' \ 
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
          "data": {
				   "action": "list",
				   "clientKey": "YOUR_CLIENT_KEY"
				  }
     }'
	{
       "contracts": [

        {
            "createTime": "2024-11-25T08:07:23.000Z",
            "changeTime": "2024-11-25T08:07:25.000Z",
            "contractKey": "93447fb5-91ee-41ad-9f73-b4ae2d467292",
            "name": "IPPDF",
            "status": "Created"
        },
        {
            "createTime": "2024-11-18T13:27:21.000Z",
            "changeTime": "2024-11-21T11:29:47.000Z",
            "contractKey": "ac2a37e8-d5d6-4468-b1bb-29152a31d85d",
            "name": "A test contract",
            "status": "Created"
        }
        ],
       "code": "200",
       "message": "Contracts found"
    } 

Documentation Index

Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt

Use this file to discover all available pages before exploring further.

Body parameters

data
object
required

Response

contracts
string
Array of contracts.
code
string
The code of the answer.
message
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/contract' \ 
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
          "data": {
				   "action": "list",
				   "clientKey": "YOUR_CLIENT_KEY"
				  }
     }'
	{
       "contracts": [

        {
            "createTime": "2024-11-25T08:07:23.000Z",
            "changeTime": "2024-11-25T08:07:25.000Z",
            "contractKey": "93447fb5-91ee-41ad-9f73-b4ae2d467292",
            "name": "IPPDF",
            "status": "Created"
        },
        {
            "createTime": "2024-11-18T13:27:21.000Z",
            "changeTime": "2024-11-21T11:29:47.000Z",
            "contractKey": "ac2a37e8-d5d6-4468-b1bb-29152a31d85d",
            "name": "A test contract",
            "status": "Created"
        }
        ],
       "code": "200",
       "message": "Contracts found"
    }